Bug 365131 - Review Request: ruby-imagesize - Measure image size code by Pure Ruby
Review Request: ruby-imagesize - Measure image size code by Pure Ruby
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-03 07:31 EDT by Mamoru TASAKA
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-17 06:25:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kwizart: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2007-11-03 07:31:27 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/ruby-imagesize/ruby-imagesize.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/ruby-imagesize/ruby-imagesize-0.1.1-1.fc8.src.rpm
Description: 
Imagefile measures image (GIF, PNG, JPEG ,,, etc) size code 
by Pure Ruby ["PCX", "PSD", "XPM", "TIFF", "XBM", "PGM", 
"PBM", "PPM", "BMP", "JPEG", "PNG", "GIF", "SWF"]

Koji rebuild:
for dist-f8-updates-candidate:
http://koji.fedoraproject.org/koji/taskinfo?taskID=225206
for dist-fc7-updates-candidate:
http://koji.fedoraproject.org/koji/taskinfo?taskID=225208
Comment 1 Nicolas Chauvet (kwizart) 2007-11-09 20:14:11 EST
Review in progress...
Comment 2 Nicolas Chauvet (kwizart) 2007-11-09 21:14:35 EST
There is two tests that failed
I wonder if it is because there is no ppm.ppm image ?!
Comment 3 Mamoru TASAKA 2007-11-10 02:36:04 EST
Well, I guess ppm.ppm test is surely disabled as

-----------------------------------------------------
%check
%{__sed} -i.ppm \
	-e "s|'ppm.ppm', ||" \
	-e '/PPM/d' \
	test/test_image_size.rb
ruby setup.rb test
-----------------------------------------------------
Abd koji build is successful.
http://koji.fedoraproject.org/koji/taskinfo?taskID=234171
Comment 4 Nicolas Chauvet (kwizart) 2007-11-16 08:23:30 EST
Sorry for the long reply...
The package by itself seems good but i'm not abble to test at runtime as i don't
know ruby ... (Iv'e found a Simple Example - but i don't even knwo how to uses
it...)

---------------------------------------------------------------

    This package (ruby-imagesize) is APPROVED by me

---------------------------------------------------------------
Comment 5 Mamoru TASAKA 2007-11-16 09:35:42 EST
Thanks!

---------------------------------------------------------------
New Package CVS Request
=======================
Package Name:        ruby-imagesize
Short Description:   Measure image size code by Pure Ruby
Owners:              mtasaka
Branches:            F-7 F-8
Cvsextras Commits:   yes
Comment 6 Kevin Fenzi 2007-11-16 12:12:05 EST
cvs done.
Comment 7 Mamoru TASAKA 2007-11-17 06:25:32 EST
Rebuilt on devel, F-8, F-7, requested on bodhi, closing.

Thank you for your review!

Note You need to log in before you can comment on or make changes to this bug.